Skip to main content
`Ctrl`+`K`
scipy.special.

# sh_chebyu

scipy.special.sh_chebyu(n, monic=False)

  Shifted Chebyshev polynomial of the second kind.

  Defined as \(U^*_n(x) = U_n(2x - 1)\) for \(U_n\) the nth Chebyshev polynomial of the second kind.

  Parameters:
    n int

      Degree of the polynomial.

    monic bool, optional

      If True, scale the leading coefficient to be 1. Default is False.

  Returns:
    U orthopoly1d

      Shifted Chebyshev polynomial of the second kind.

  Notes

  The polynomials \(U^*_n\) are orthogonal over \([0, 1]\) with weight function \((x - x^2)^{1/2}\).